> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /tokopedia/products/search

> Search Tokopedia products by keyword, or browse a category id, with filters (sort, location, shop type, condition, price range, rating, COD, discount, recency, pre-order, delivery speed). Returns product cards: name, price, list_price, discount, image, rating, sold_count, category, shop and badge.

**Price:** 5 credits per 60 results



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/tokopedia/products/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/tokopedia/products/search:
    post:
      tags:
        - /tokopedia
      summary: /tokopedia/products/search
      description: >-
        Search Tokopedia products by keyword, or browse a category id, with
        filters (sort, location, shop type, condition, price range, rating, COD,
        discount, recency, pre-order, delivery speed). Returns product cards:
        name, price, list_price, discount, image, rating, sold_count, category,
        shop and badge.


        **Price:** 5 credits per 60 results
      operationId: __api_tokopedia_products_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TokopediaProductsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokopediaProductCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TokopediaProductsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        count:
          type: integer
          minimum: 1
        sort:
          $ref: '#/components/schemas/TokopediaSort'
          default: relevance
        category:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/TokopediaLocation'
            - type: 'null'
        shop_type:
          anyOf:
            - $ref: '#/components/schemas/TokopediaShopType'
            - type: 'null'
        condition:
          anyOf:
            - $ref: '#/components/schemas/TokopediaCondition'
            - type: 'null'
        price_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        rating_4_plus:
          type: boolean
          default: false
        cod:
          type: boolean
          default: false
        discount_only:
          type: boolean
          default: false
        preorder:
          anyOf:
            - type: boolean
            - type: 'null'
        added_within:
          anyOf:
            - $ref: '#/components/schemas/TokopediaAddedWithin'
            - type: 'null'
        shipping:
          anyOf:
            - $ref: '#/components/schemas/TokopediaShipping'
            - type: 'null'
      type: object
      required:
        - count
    TokopediaProductCard:
      properties:
        '@type':
          type: string
          default: TokopediaProductCard
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        list_price:
          anyOf:
            - type: number
            - type: 'null'
        discount:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          type: string
          default: IDR
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        sold_count:
          anyOf:
            - type: integer
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        category_id:
          anyOf:
            - type: string
            - type: 'null'
        breadcrumb:
          anyOf:
            - type: string
            - type: 'null'
        shop_id:
          anyOf:
            - type: string
            - type: 'null'
        shop_name:
          anyOf:
            - type: string
            - type: 'null'
        shop_url:
          anyOf:
            - type: string
            - type: 'null'
        shop_city:
          anyOf:
            - type: string
            - type: 'null'
        is_official:
          anyOf:
            - type: boolean
            - type: 'null'
        badge:
          anyOf:
            - type: string
            - type: 'null'
        has_free_shipping:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TokopediaSort:
      type: string
      enum:
        - relevance
        - reviews
        - newest
        - price_high
        - price_low
    TokopediaLocation:
      type: string
      enum:
        - dki_jakarta
        - jabodetabek
        - bandung
        - medan
        - surabaya
        - bali
        - banten
        - bengkulu
        - di_aceh
        - di_yogyakarta
        - gorontalo
        - jambi
        - jawa_barat
        - jawa_tengah
        - jawa_timur
        - kalimantan_barat
        - kalimantan_selatan
        - kalimantan_tengah
        - kalimantan_timur
        - kalimantan_utara
        - kepulauan_bangka_belitung
        - kepulauan_riau
        - lampung
        - maluku
        - maluku_utara
        - nusa_tenggara_barat
        - nusa_tenggara_timur
        - papua
        - papua_barat
        - riau
        - sulawesi_barat
        - sulawesi_selatan
        - sulawesi_tengah
        - sulawesi_tenggara
        - sulawesi_utara
        - sumatera_barat
        - sumatera_selatan
        - sumatera_utara
        - kepulauan_seribu
        - balikpapan
        - banjar
        - banjarbaru
        - batam
        - batu
        - bau_bau
        - bekasi
        - bima
        - binjai
        - bitung
        - blitar
        - bogor
        - bontang
        - bukittinggi
        - cilegon
        - cimahi
        - cirebon
        - depok
        - dumai
        - gunungsitoli
        - jakarta_barat
        - jakarta_pusat
        - jakarta_selatan
        - jakarta_timur
        - jakarta_utara
        - kediri
        - kotamobagu
        - langsa
        - lhokseumawe
        - lubuk_linggau
        - madiun
        - magelang
        - malang
        - metro
        - mojokerto
        - padang_panjang
        - padangsidimpuan
        - pagar_alam
        - palopo
        - pare_pare
        - pariaman
        - pasuruan
        - payakumbuh
        - pekalongan
        - pematang_siantar
        - prabumulih
        - probolinggo
        - sabang
        - salatiga
        - sawahlunto
        - sibolga
        - singkawang
        - solok
        - sorong
        - subulussalam
        - sukabumi
        - sungai_penuh
        - surakarta
        - tangerang
        - tangerang_selatan
        - tanjung_balai
        - tarakan
        - tasikmalaya
        - tebing_tinggi
        - tegal
        - ternate
        - tidore
        - tidore_kepulauan
        - tomohon
        - tual
        - denpasar_utara
        - ambon
        - banda_aceh
        - bandar_lampung
        - banjarmasin
        - denpasar
        - jayapura
        - kendari
        - kupang
        - makassar
        - manado
        - mataram
        - padang
        - palangkaraya
        - palembang
        - palu
        - pangkal_pinang
        - pekanbaru
        - pontianak
        - samarinda
        - semarang
        - serang
        - tanjung_pinang
        - yogyakarta
    TokopediaShopType:
      type: string
      enum:
        - mall
        - power_shop
    TokopediaCondition:
      type: string
      enum:
        - new
        - used
    TokopediaAddedWithin:
      type: string
      enum:
        - week
        - two_weeks
        - month
        - three_months
    TokopediaShipping:
      type: string
      enum:
        - instant
        - same_day
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````